# Referencing Users and Groups

## Overview

Abbey has the ability to reference users and group members stored externally for use in Grant Kits.&#x20;

These are most commonly used in two places:&#x20;

* Building a Workflow (I'd like Bob to approve, or members of this group to approve)
* Creating an Output (assign the requester a permission)

For understanding how these data can be used in Access Policies, please see [Policy Examples](/reference/access-policies/policy-examples.md).&#x20;

## User References

An Output block is templatized code change that assigns a user to a particular permission. In order to do that, we need to reference the identifier for a user.&#x20;

Below shows how an example for AWS Identity Center.&#x20;

```
member_id = "{{ user.aws_identitystore.id }}"
```

## Group References

Abbey has the ability to use Group Memberships in the context of a workflow.&#x20;

For example, the below references a set of Users in a Google Workspace group. Abbey will send an approval to all members of that group, with only one (due to `one_of`)  needing to approve for a user to get access.&#x20;

```
one_of = ["{{ groups.googleworkspace.03oy7u2934pbgyw }}"]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.abbey.io/reference/referencing-users-and-groups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
